﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics;
using System.Collections;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Data;

namespace XamWebComboEditorSample
{
    public partial class MainPage : UserControl, INotifyPropertyChanged
    {
        private Customer _selecteItem;

        public Customer SelectedItem
        {
            get { return _selecteItem; }
            set
            {
                if (_selecteItem != value)
                {
                    _selecteItem = value;
                    OnPropertyChanged("SelectedItem");
                }
            }
        }

        private ObservableCollection<Customer> _custColl = (new Customers()).CustomerList;

        public ObservableCollection<Customer> CustColl
        {
            get { return _custColl; }
            set
            {
                if (_custColl != value)
                {
                    _custColl = value;

                    OnPropertyChanged("CustColl");

                }
            }
        }

        public MainPage()
        {
            InitializeComponent();

            this._selecteItem = _custColl.Last();
        }

        private void btnSet_Click(object sender, RoutedEventArgs e)
        {
            igComboEditor.SelectedIndex = 3;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName) 
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class AConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }


}
